# KeyedAuthMethod (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.userauth.method
Class KeyedAuthMethod

    java.lang.Object
      net.schmizz.sshj.userauth.method.AbstractAuthMethod
          net.schmizz.sshj.userauth.method.KeyedAuthMethod

All Implemented Interfaces:
  SSHPacketHandler, AuthMethod

Direct Known Subclasses:
  AuthHostbased, AuthPublickey

    public abstract class KeyedAuthMethod

extends AbstractAuthMethod

Field Summary
`protected KeyProvider` `kProv`

Fields inherited from class net.schmizz.sshj.userauth.method.AbstractAuthMethod
`log, params`

Constructor Summary
`KeyedAuthMethod(String name, KeyProvider kProv)`

Method Summary
`protected SSHPacket` `putPubKey(SSHPacket reqBuf)`
`protected SSHPacket` `putSig(SSHPacket reqBuf)`

Methods inherited from class net.schmizz.sshj.userauth.method.AbstractAuthMethod
`buildReq, getName, handle, init, makeAccountResource, request, shouldRetry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kProv

    protected final KeyProvider kProv

Constructor Detail

### KeyedAuthMethod

    public KeyedAuthMethod(String name,
                           KeyProvider kProv)

Method Detail

### putPubKey

    protected SSHPacket putPubKey(SSHPacket reqBuf)
                           throws UserAuthException

  Throws:
    `UserAuthException`

### putSig

    protected SSHPacket putSig(SSHPacket reqBuf)
                        throws UserAuthException

  Throws:
    `UserAuthException`

Copyright © 2009-2011. All Rights Reserved.